package de.uulm.omi.dbms.workload.api;

import de.uulm.omi.dbms.workload.api.*;
import de.uulm.omi.cloudiator.dbms.evaluator.model.*;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;

import de.uulm.omi.cloudiator.dbms.evaluator.model.Error;
import java.io.File;
import de.uulm.omi.cloudiator.dbms.evaluator.model.TPCCWorkload;
import de.uulm.omi.cloudiator.dbms.evaluator.model.TSBSWorkload;
import de.uulm.omi.cloudiator.dbms.evaluator.model.WorkloadProcessInstance;
import de.uulm.omi.cloudiator.dbms.evaluator.model.WorkloadProcessSubmissionError;
import de.uulm.omi.cloudiator.dbms.evaluator.model.YCSBWorkload;

import java.util.List;
import de.uulm.omi.dbms.workload.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.validation.constraints.*;
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2020-05-19T16:43:06.028+02:00")
public abstract class WorkloadApiService {
    public abstract Response workloadResultGet( @NotNull String taskId, @NotNull String workloadType,SecurityContext securityContext) throws NotFoundException;
    public abstract Response workloadStatusGet( String applicationInstanceId,SecurityContext securityContext) throws NotFoundException;
    public abstract Response workloadTpccPost( @NotNull String taskId,TPCCWorkload workload,SecurityContext securityContext) throws NotFoundException;
    public abstract Response workloadTsbsExecuteQueriesPost( @NotNull String taskId,TSBSWorkload workload,SecurityContext securityContext) throws NotFoundException;
    public abstract Response workloadTsbsGenerateDataPost( @NotNull String taskId,TSBSWorkload workload,SecurityContext securityContext) throws NotFoundException;
    public abstract Response workloadTsbsGenerateQueriesPost( @NotNull String taskId,TSBSWorkload workload,SecurityContext securityContext) throws NotFoundException;
    public abstract Response workloadTsbsLoadDataPost( @NotNull String taskId,TSBSWorkload workload,SecurityContext securityContext) throws NotFoundException;
    public abstract Response workloadYcsbPost( @NotNull String taskId,YCSBWorkload workload,SecurityContext securityContext) throws NotFoundException;
}
