package de.uulm.omi.utils;

import de.uulm.omi.cloudiator.dbms.evaluator.model.WorkloadProcessSubmissionError;
import de.uulm.omi.workload.WorkloadProcess;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.Status;

/**
 * Created by Daniel Seybold on 15.05.2020.
 */
public class WorkloadProcessChecker {

  public static Response  checkWorkloadProcessStatee(){


    //check if already a workloadProcess running
    WorkloadProcess workloadProcess = WorkloadProcess.getInstance();
    if (workloadProcess.isRunning()) {
      WorkloadProcessSubmissionError workloadProcessSubmissionError = new WorkloadProcessSubmissionError();
      workloadProcessSubmissionError.setMessage(
          "There is already a workloadProcess running, please wait until workloadProcess is finished!");

      Response response = Response.status(Status.FORBIDDEN).entity(workloadProcessSubmissionError).build();


      return response;
    }

    else return null;
  }

}
